Create Guest Session
curl --request GET \
--url https://api.themoviedb.org/3/authentication/guest_session/new \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/authentication/guest_session/new"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/authentication/guest_session/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expires_at": "2025-01-08 15:34:51 UTC",
"guest_session_id": "636deb7045a33d8b6a9a2cf640b2015f",
"success": true
}Endpoints
Create Guest Session
This endpoint grants you a temporary “guest session” on TMDb, allowing limited access to features like rating movies and TV shows without needing a full user account.
GET
/
3
/
authentication
/
guest_session
/
new
Create Guest Session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Example:
"63365ecd10409ee95d673fd7f8c095e3"
⌘I